---
title: "Create: text type"
url: https://www.tines.com/docs/api/resources/create-text/
updated: 2025-11-17T17:09:18+00:00
description: Create a text resource in Tines. Please note, for test resources that will be used in TEST mode of change control, the optional value 'Live Resource ID' must be provided. In this scenario, the other optional values (i.e. resource description, read access, team ID, folder ID) will default to the specified live resource ID.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Resources](https://www.tines.com/llm/docs/api/resources.md)*

# Create: text type

*[View on tines.com](https://www.tines.com/docs/api/resources/create-text/)*

## Description

Create a text resource in Tines. Please note, for test resources that will be used in TEST mode of change control, the optional value 'Live Resource ID' must be provided. In this scenario, the other optional values (i.e. resource description, read access, team ID, folder ID) will default to the specified live resource ID.

## Request

HTTP Method: **POST**

| Parameter                      | Description                                                                                                                                                                                                           |
| ------------------------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| name                           | Name of the resource.                                                                                                                                                                                                 |
| value                          | Contents of the resource. When a non-JSON string is passed in, it will be parsed as regular text.                                                                                                                     |
| team_id                        | ID of Tines Team where the resource will be located.                                                                                                                                                                  |
| folder_id                      | **Optional** ID of folder to which the resource will be located                                                                                                                                                       |
| read_access                    | **Optional** Control where this resource can be used (`TEAM`, `GLOBAL`, `SPECIFIC_TEAMS`). default: `TEAM`. (`SPECIFIC_TEAMS` is a premium feature. [Reach out to find out more](https://tines.com/contact-support).) |
| shared_team_slugs              | **Optional** List of teams' slugs where this resource can be used. Required to set `read_access` to `SPECIFIC_TEAMS`. default: `[]` (empty array).                                                                    |
| description                    | **Optional** Description of the resource. default: `""` (empty string)                                                                                                                                                |
| live_resource_id               | **Optional** The id of live resource that corresponds to the new test value                                                                                                                                           |
| include_referencing_action_ids | **Optional** Defaults to `true`, when set to `false` we will exclude `referencing_action_ids` from the response                                                                                                       |
| typed_value                    | **Optional** Defaults to `false`. When set to `true`, returns properly typed values (boolean, number, array, object) instead of strings                                                                               |

### Sample request

```bash
curl -X POST \
  https://<tenant-domain>/api/v1/global_resources \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>' \
  -d '{
        "name": "foo",
        "value": "bar"
    }'
```

## Response

A successful request will return a JSON object describing the created resource. Test resource data is contained within the live resource.

### Field description

| Parameter              | Description                                                                                                                                               |
| ---------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------- |
| id                     | Resource ID.                                                                                                                                              |
| name                   | Name of the resource.                                                                                                                                     |
| value                  | Value of the resource. By default, returns a string representation. Use `typed_value=true` to get properly typed values (boolean, number, array, object). |
| team_id                | ID of team to which the resource belongs.                                                                                                                 |
| folder_id              | ID of folder to which the resource belongs.                                                                                                               |
| user_id                | ID of user associated with the resource.                                                                                                                  |
| read_access            | Control where this resource can be used (`TEAM`, `GLOBAL`, `SPECIFIC_TEAMS`).                                                                             |
| shared_team_slugs      | List of teams' slugs where this resource can be used when `read_access` is `SPECIFIC_TEAMS`, otherwise empty.                                             |
| slug                   | An underscored representation of the resource name                                                                                                        |
| created_at             | ISO 8601 Timestamp representing date and time the resource was created.                                                                                   |
| updated_at             | ISO 8601 Timestamp representing date and time the resource was last updated.                                                                              |
| description            | Description of the resource.                                                                                                                              |
| test_resource_enabled  | A boolean value stating if the resource is enabled for using a test resource.                                                                             |
| test_resource          | JSON block of the test resource.                                                                                                                          |
| referencing_action_ids | IDs of action that are referencing the Resource.                                                                                                          |

### Sample response

```json
{
  "id": 9,
  "name": "foo",
  "value": "bar",
  "team_id": 2,
  "folder_id": 1,
  "user_id": 1,
  "read_access": "TEAM",
  "shared_team_slugs": [],
  "slug": "foo",
  "created_at": "2020-02-05T20:40:32.313Z",
  "updated_at": "2020-02-05T20:55:18.239Z",
  "description": "",
  "test_resource_enabled": false
}
```
